Functions
FLAG_Management
Peripheral Driver » LL Driver » AES » Functions
Collaboration diagram for FLAG_Management:

## Functions
__STATIC_INLINE uint32_t | ll_aes_is_action_flag_ready (aes_regs_t *AESx)
| Indicate whether the ready flag is set. More...
__STATIC_INLINE uint32_t | ll_aes_is_action_flag_dma_done (aes_regs_t *AESx)
| Indicate whether the DMA transfer done flag is set. More...
__STATIC_INLINE uint32_t | ll_aes_is_action_flag_dma_error (aes_regs_t *AESx)
| Indicate whether the DMA transfer error flag is set. More...
__STATIC_INLINE uint32_t | ll_aes_is_action_flag_key_valid (aes_regs_t *AESx)
| Indicate whether the key valid flag is set. More...
__STATIC_INLINE uint32_t | ll_aes_is_action_flag_it_done (aes_regs_t *AESx)
| Indicate whether the done interrupt flag is set. More...
__STATIC_INLINE void | ll_aes_clear_flag_it_done (aes_regs_t *AESx)
| Clear the done interrupt flag. More...

## Detailed Description

## Function Documentation

## ◆ ll_aes_clear_flag_it_done()

__STATIC_INLINE void ll_aes_clear_flag_it_done | ( | aes_regs_t * | AESx | ) |

Clear the done interrupt flag.

\rst +-------------------—+--------------------------—+ | Register | BitsName | +======================+=============================+ | INTERRUPT | DONE | +-------------------—+--------------------------—+ \endrst

Parameters

  AESx | AES instance

Return values

  None |

Definition at line 895 of file gr55xx_ll_aes.h.

## ◆ ll_aes_is_action_flag_dma_done()

__STATIC_INLINE uint32_t ll_aes_is_action_flag_dma_done | ( | aes_regs_t * | AESx | ) |

Indicate whether the DMA transfer done flag is set.

\rst +-------------------—+--------------------------—+ | Register | BitsName | +======================+=============================+ | STATUS | TRANSDONE | +-------------------—+--------------------------—+ \endrst

Parameters

  AESx | AES instance

Return values

  State | of bit (1 or 0).

Definition at line 819 of file gr55xx_ll_aes.h.

## ◆ ll_aes_is_action_flag_dma_error()

__STATIC_INLINE uint32_t ll_aes_is_action_flag_dma_error | ( | aes_regs_t * | AESx | ) |

Indicate whether the DMA transfer error flag is set.

\rst +-------------------—+--------------------------—+ | Register | BitsName | +======================+=============================+ | STATUS | TRANSERR | +-------------------—+--------------------------—+ \endrst

Parameters

  AESx | AES instance

Return values

  State | of bit (1 or 0).

Definition at line 838 of file gr55xx_ll_aes.h.

## ◆ ll_aes_is_action_flag_it_done()

__STATIC_INLINE uint32_t ll_aes_is_action_flag_it_done | ( | aes_regs_t * | AESx | ) |

Indicate whether the done interrupt flag is set.

\rst +-------------------—+--------------------------—+ | Register | BitsName | +======================+=============================+ | INTERRUPT | DONE | +-------------------—+--------------------------—+ \endrst

Parameters

  AESx | AES instance

Return values

  State | of bit (1 or 0).

Definition at line 876 of file gr55xx_ll_aes.h.

## ◆ ll_aes_is_action_flag_key_valid()

__STATIC_INLINE uint32_t ll_aes_is_action_flag_key_valid | ( | aes_regs_t * | AESx | ) |

Indicate whether the key valid flag is set.

\rst +-------------------—+--------------------------—+ | Register | BitsName | +======================+=============================+ | STATUS | KEYVALID | +-------------------—+--------------------------—+ \endrst

Parameters

  AESx | AES instance

Return values

  State | of bit (1 or 0).

Definition at line 857 of file gr55xx_ll_aes.h.

## ◆ ll_aes_is_action_flag_ready()

__STATIC_INLINE uint32_t ll_aes_is_action_flag_ready | ( | aes_regs_t * | AESx | ) |

Indicate whether the ready flag is set.

\rst +-------------------—+--------------------------—+ | Register | BitsName | +======================+=============================+ | STATUS | READY | +-------------------—+--------------------------—+ \endrst

Parameters

  AESx | AES instance

Return values

  State | of bit (1 or 0).

Definition at line 800 of file gr55xx_ll_aes.h.